<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements. See the NOTICE file
distributed with this work for additional information
regarding copyright ownership. The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied. See the License for the
specific language governing permissions and limitations
under the License.
-->
<%@ page contentType="text/html" import="javax.naming.Context, javax.naming.InitialContext " %>
<%@ page import="org.apache.geronimo.samples.myphonebookpak.MyPhonebookLocal" %>
<%@ page import="org.apache.geronimo.samples.myphonebookpak.PhoneBook" %>

<%
    String searchName = "";
    if (request.getParameter("searchname") != null) {
        searchName = request.getParameter("searchname");
    }
%>

<html>
<head><title>Phonebook</title></head>
<body>
<form action="index.jsp">
    <b>Search number</b>:<br>
    Enter name: <input type="text" name="searchname" value="<%=searchName%>">
    <input type="submit" value="Search">
    (Test with <a href="index.jsp?searchname=Joe">Joe</a>)
</form>
<%
    if (!searchName.equals("")) {
        String number = "";
        try {
            Context context = new InitialContext();
            MyPhonebookLocal myPhonebookLocal = (MyPhonebookLocal) context.lookup("java:comp/env/ejb/MyPhonebookBean");
            PhoneBook phonebook = myPhonebookLocal.findByPrimaryKey(searchName);
            if (phonebook != null) {
                number = phonebook.getNumber();
            }
        }
        catch (Exception e) {
            number = e.toString();
        }
        out.println("This is the number returned from the EJB when searching for '" + searchName + "' : " + number);
    }
%>

</body>
</html>
